#
# spec file for package sluice
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2017-2021, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sluice
Version:        0.02.13
Release:        1.15
Summary:        Rate limiting data piping tool
License:        GPL-2.0-or-later
Group:          System/Monitoring
URL:            https://kernel.ubuntu.com/~cking/sluice/
Source:         https://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz

%description
Sluice reads from standard input and write to standard output at a specified
data rate. This can be useful for benchmarking and exercising I/O streaming at
desired throughput rates.

%package bash-completion
Summary:        Bash Completion for %{name}
Group:          System/Benchmark
Requires:       %{name} = %{version}
Requires:       bash-completion
Supplements:    (sluice and bash-completion)
BuildArch:      noarch

%description bash-completion
Bash completion script for %{name}.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/sluice
%{_mandir}/man1/sluice.1%{?ext_man}

%files bash-completion
%{_datadir}/bash-completion/completions/%{name}

%changelog
* Thu Apr 29 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.02.13
  * Add sanity check that input filename is not null when
    using -I option.
* Sun Mar  8 2020 Martin Hauke <mardnh@gmx.de>
- Supplement against bash-completion, not bash
* Sun Mar  8 2020 Martin Hauke <mardnh@gmx.de>
- Drop SLE12 compat ifdef
* Wed Feb 26 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.02.11
  * Add bash completion script
* Tue Aug 27 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 0.02.10
  * No funcional changes
* Fri Jul 12 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 0.02.09
  * Makefile: bump version
  * Use DOUBLE_CMP to compare with zero
  * Rename FLOAT_CMP to DOUBLE_CMP as it compares doubles
  * Makefile: add .travis.yml to dist rule
  * Update copyright year
* Sun Jun 17 2018 mardnh@gmx.de
- Update to version 0.02.08
  * Makefile: bump version
  * fixup some constifications
  * Make delay_info const
  * Make -r 0 to be no rate control (same as -n)
  * Add -I option to help
  * debian/copyright: use secure URI
  * debian/control: update debhelper version to >=11
  * debian/control: remove empty last line
  * debian/compat: update to 11
  * constify sizes
  * voidify function returns
* Fri Jan  5 2018 mardnh@gmx.de
- update to version 0.02.07
  * Makefile: bump version
  * Makefile: add snapcraft directory to make dist rule
  * debian/control: update Standards-Version to 4.1.2
  * update copyright year
  * Add snapcraft
  * Add extra parentheses for clarity
  * voidify fclose()
* Wed May 10 2017 mardnh@gmx.de
- update to version 0.02.06
  * Makefile: bump minor version
  * Fix incorrect position of \ escape in -s option man page
- update to version 0.02.05
  * Add build hardening flags
  * Makefile: bump version
  * Use build-in popcount to count bits
  * Allow float comparisons a little bit of slop
  * Make get_pagesize helper static
  * Makefile: add PEDANTIC flags
* Sat Jul 30 2016 mardnh@gmx.de
- update to version 0.02.04
  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8
- update to version 0.02.03
  * Makefile bunp version
  * reduce scope of variable ret
  * Update date in manual
  * Don't centre table in man page
  * Add -x pipe transfer size option
  * Update copyright year
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
